/*
 * Copyright (C) 2012 by
 *   MetraLabs GmbH (MLAB), GERMANY
 * and
 *   Neuroinformatics and Cognitive Robotics Labs (NICR) at TU Ilmenau, GERMANY
 * All rights reserved.
 *
 * Contact: info@mira-project.org
 *
 * Commercial Usage:
 *   Licensees holding valid commercial licenses may use this file in
 *   accordance with the commercial license agreement provided with the
 *   software or, alternatively, in accordance with the terms contained in
 *   a written agreement between you and MLAB or NICR.
 *
 * GNU General Public License Usage:
 *   Alternatively, this file may be used under the terms of the GNU
 *   General Public License version 3.0 as published by the Free Software
 *   Foundation and appearing in the file LICENSE.GPL3 included in the
 *   packaging of this file. Please review the following information to
 *   ensure the GNU General Public License version 3.0 requirements will be
 *   met: http://www.gnu.org/copyleft/gpl.html.
 *   Alternatively you may (at your option) use any later version of the GNU
 *   General Public License if such license has been publicly approved by
 *   MLAB and NICR (or its successors, if any).
 *
 * IN NO EVENT SHALL "MLAB" OR "NICR" BE LIABLE TO ANY PARTY FOR DIRECT,
 * INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
 * THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF "MLAB" OR
 * "NICR" HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * "MLAB" AND "NICR" SPECIFICALLY DISCLAIM ANY WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND "MLAB" AND "NICR" HAVE NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS OR MODIFICATIONS.
 */

/**
 * @file CommonTapeRenderer.C
 *    Common renderer plugins.
 *
 * @author Tim Langner
 * @date   2011/12/30
 */

#include <transform/Pose.h>
#include <TapeTextRenderer.h>
#include <TapePlotRenderer.h>

namespace mira {

//////////////////////////////////////////////////////////////////////////////

MIRA_REGISTER_TEXTRENDERER(TapePose2Renderer, Pose2)
MIRA_REGISTER_TEXTRENDERER(TapePose3Renderer, Pose3)
MIRA_REGISTER_TEXTRENDERER(TapePoseCov2Renderer, PoseCov2)
MIRA_REGISTER_TEXTRENDERER(TapePoseCov3Renderer, PoseCov3)

MIRA_REGISTER_PLOTRENDERER(TapePose2PlotRenderer, Pose2)
MIRA_REGISTER_PLOTRENDERER(TapePose3PlotRenderer, Pose3)
MIRA_REGISTER_PLOTRENDERER(TapePoseCov2PlotRenderer, PoseCov2)
MIRA_REGISTER_PLOTRENDERER(TapePoseCov3PlotRenderer, PoseCov3)

//////////////////////////////////////////////////////////////////////////////

} // namespace

MIRA_CLASS_SERIALIZATION(mira::TapePose2Renderer, mira::TapeDataRenderer)
MIRA_CLASS_SERIALIZATION(mira::TapePose3Renderer, mira::TapeDataRenderer)
MIRA_CLASS_SERIALIZATION(mira::TapePoseCov2Renderer, mira::TapeDataRenderer)
MIRA_CLASS_SERIALIZATION(mira::TapePoseCov3Renderer, mira::TapeDataRenderer)

MIRA_CLASS_SERIALIZATION(mira::TapePose2PlotRenderer, mira::TapeDataRenderer)
MIRA_CLASS_SERIALIZATION(mira::TapePose3PlotRenderer, mira::TapeDataRenderer)
MIRA_CLASS_SERIALIZATION(mira::TapePoseCov2PlotRenderer, mira::TapeDataRenderer)
MIRA_CLASS_SERIALIZATION(mira::TapePoseCov3PlotRenderer, mira::TapeDataRenderer)
